from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTabControllerModel(XInterface, Protocol):
    def getGroupControl(self) -> bool: ...
    def setGroupControl(self, GroupControl: bool) -> None: ...
    def setControlModels(self, Controls: XControlModel>) -> None: ...
    def getControlModels(self) -> list[XControlModel]: ...
    def setGroup(self, Group: XControlModel>, GroupName: str) -> None: ...
    def getGroupCount(self) -> int: ...
    def getGroup(self, nGroup: int, Group: XControlModel>, Name: str) -> None: ...
    def getGroupByName(self, Name: str, Group: XControlModel>) -> None: ...
